﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace WpfApplication188.ViewModel
{
    public class VM : INotifyPropertyChanged
    {

        private bool _isEnabled;

        public bool Enabled
        {
            get { return _isEnabled; }
            set
            {
                _isEnabled = value;
                PropChanged("Enabled");
            }
        }
        private ObservableCollection<Data> _gridData = new ObservableCollection<Data>();
        public ObservableCollection<Data> GridData
        {
            get { return _gridData; }
            set { _gridData = value; PropChanged("GridData"); }
        }

        public VM()
        {
            GridData = new ObservableCollection<Data>();
            GridData = Data.GetData(10, 1, 10);

            _isEnabled = false;
        }



        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }


    }
}
